VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form Batch_form 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Sedtrans05 - Batch mode"
   ClientHeight    =   4230
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7395
   HelpContextID   =   4000
   Icon            =   "Batch_form.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4230
   ScaleWidth      =   7395
   StartUpPosition =   3  'Windows Default
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   240
      Top             =   3240
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
      HelpContext     =   4000
   End
   Begin VB.CheckBox c_ModifyParameters 
      Caption         =   "Modify the default paremeters for the Cohesive Sediment Algorithm"
      Height          =   255
      HelpContextID   =   4000
      Left            =   240
      TabIndex        =   4
      Top             =   2040
      Value           =   1  'Checked
      Width           =   5295
   End
   Begin VB.CommandButton bBrowse 
      Caption         =   "Browse..."
      Height          =   375
      HelpContextID   =   4000
      Index           =   2
      Left            =   6000
      TabIndex        =   6
      Top             =   2460
      Width           =   975
   End
   Begin VB.CommandButton bBrowse 
      Caption         =   "Browse..."
      Height          =   375
      HelpContextID   =   4000
      Index           =   1
      Left            =   6000
      TabIndex        =   3
      Top             =   1140
      Width           =   975
   End
   Begin VB.CommandButton bBrowse 
      Caption         =   "Browse..."
      Height          =   375
      HelpContextID   =   4000
      Index           =   0
      Left            =   6000
      TabIndex        =   1
      Top             =   420
      Width           =   975
   End
   Begin VB.TextBox tFile 
      Height          =   285
      HelpContextID   =   4000
      Index           =   2
      Left            =   1320
      TabIndex        =   5
      Text            =   "Text1"
      Top             =   2520
      Width           =   4455
   End
   Begin VB.TextBox tFile 
      Height          =   285
      HelpContextID   =   4000
      Index           =   1
      Left            =   1320
      TabIndex        =   2
      Text            =   "Text1"
      Top             =   1200
      Width           =   4455
   End
   Begin VB.TextBox tFile 
      Height          =   285
      HelpContextID   =   4000
      Index           =   0
      Left            =   1320
      TabIndex        =   0
      Text            =   "Text1"
      Top             =   480
      Width           =   4455
   End
   Begin VB.CommandButton bCancel 
      Caption         =   "Cancel"
      Height          =   375
      HelpContextID   =   4000
      Left            =   4080
      TabIndex        =   8
      Top             =   3360
      Width           =   1575
   End
   Begin VB.CommandButton bStart 
      Caption         =   "&Start Batch Mode"
      Height          =   375
      HelpContextID   =   4000
      Left            =   1800
      TabIndex        =   7
      Top             =   3360
      Width           =   1575
   End
   Begin VB.Label Label1 
      Caption         =   "(without extension)"
      Height          =   255
      Index           =   3
      Left            =   240
      TabIndex        =   12
      Top             =   1520
      Width           =   1335
   End
   Begin VB.Label Label1 
      Caption         =   "Parameter file"
      Height          =   255
      Index           =   2
      Left            =   240
      TabIndex        =   11
      Top             =   2520
      Width           =   1095
   End
   Begin VB.Label Label1 
      Caption         =   "Output files"
      Height          =   255
      Index           =   1
      Left            =   240
      TabIndex        =   10
      Top             =   1200
      Width           =   1095
   End
   Begin VB.Label Label1 
      Caption         =   "Input file"
      Height          =   255
      Index           =   0
      Left            =   240
      TabIndex        =   9
      Top             =   480
      Width           =   975
   End
End
Attribute VB_Name = "Batch_form"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub bBrowse_Click(Index As Integer)
Dim chP As String * 300, chN As Long
With Me.CommonDialog1
    On Error GoTo cancelled
    .CancelError = True
    .InitDir = tFile(Index)
    .FileName = ""
    Select Case Index
    Case 0
        .DialogTitle = "Select input file for batch mode"
        .DefaultExt = "dat"
        .Filter = "dat files (*.dat)|*.dat|in files (*.in)|*in|All files (*.*)|*.*"
        .FilterIndex = 3
        .Flags = cdlOFNHideReadOnly
        .ShowOpen
    Case 1
        .DialogTitle = "Name (without extension) for output files"
        .DefaultExt = ""
        .Filter = "dat files (*.dat)|*.dat|All files (*.*)|*.*"
        .FilterIndex = 1
        .Flags = cdlOFNHideReadOnly Or cdlOFNNoReadOnlyReturn
        .ShowSave
    Case 2
        .DialogTitle = "Select file to modify the default parameters"
        .DefaultExt = "cst"
        .Filter = "cst files (*.cst)|*.dat|All files (*.*)|*.*"
        .FilterIndex = 1
        .Flags = cdlOFNHideReadOnly
        .ShowOpen
    End Select
    On Error GoTo 0
    If .FileName = "" Then
cancelled:  Exit Sub
    Else
        tFile(Index) = .FileName
        Call tFile_LostFocus(Index)
    End If
End With
End Sub

Private Sub bCancel_Click()
    Me.Hide
End Sub

Private Sub bStart_Click()
Dim rep As Integer, ch As String, ch1 As String
    If Dir(tFile(0)) = "" Then
        Call MsgBox("The file " & tFile(0) & " does not exist.", vbCritical + vbOKOnly)
        Exit Sub
    End If
    If FilenameFull(tFile(0)) = "" Then
        Call MsgBox("The input file-name is not valid.", vbCritical + vbOKOnly)
        Exit Sub
    End If
    If c_ModifyParameters And Dir(tFile(2)) = "" Then
        Call MsgBox("The file " & tFile(2) & " does not exist.", vbCritical + vbOKOnly)
        Exit Sub
    End If
    If c_ModifyParameters And FilenameFull(tFile(2)) = "" Then
        Call MsgBox("The file name for the cohesive parameters is not valid.", vbCritical + vbOKOnly)
        Exit Sub
    End If
    If FilenameFull(tFile(1)) = "" Then
        Call MsgBox("The output file-name is not valid.", vbCritical + vbOKOnly)
        Exit Sub
    End If
    ch = LCase(tFile(0))
    ch1 = LCase(tFile(1))
    If (ch = (ch1 & ".dat")) Or (ch = (ch1 & ".da2")) Or (ch = (ch1 & ".pro")) _
         Or (ch = (ch1 & ".txt")) Or (ch = (ch1 & ".coh")) Then
        Call MsgBox("Input file and output file cannot be identical.", vbCritical + vbOKOnly)
        Exit Sub
    End If
    If Dir(tFile(1) & ".dat") <> "" Or Dir(tFile(1) & ".da2") <> "" Or _
            Dir(tFile(1) & ".pro") <> "" Or Dir(tFile(1) & ".coh") <> "" Or Dir(tFile(1) & ".txt") <> "" Then
        ch = FilenameShort(tFile(1))
        rep = MsgBox("One or several of the files " & ch & ".dat, " & ch & ".da2, " & ch & ".pro or " & ch & ".txt or " & ch & ".coh already exist and will be overwritten." & vbNewLine & vbNewLine & "Do you want to continue ?", vbExclamation + vbOKCancel)
        If rep = vbCancel Then Exit Sub
    End If
    If Len(tFile(0)) > 200 Or Len(tFile(1)) > 200 Or (Len(tFile(2)) > 200 And c_ModifyParameters) Then
        Call MsgBox("The length of a filename (including path) is longer than 200 characters, the maximum length accepted by ""sed05.exe""." & vbNewLine & vbNewLine & _
            "To work around this limitation, rename your files or change their locations.", vbCritical + vbOKOnly)
        Exit Sub
    End If
    ch = """" & App.Path & "\" & BatchFile & """ -b """ _
        & Trim(tFile(0)) & """ """ & Trim(tFile(1)) & """"
    If c_ModifyParameters Then
        ch = ch & " -c " & tFile(2)
    End If
'    MsgBox ch
    Shell ch, vbNormalFocus
    Unload Me
End Sub

Private Sub c_ModifyParameters_Click()
    If c_ModifyParameters.value Then
        Label1(2).Enabled = True
        tFile(2).Enabled = True
        bBrowse(2).Enabled = True
    Else
        Label1(2).Enabled = False
        tFile(2).Enabled = False
        bBrowse(2).Enabled = False
    End If
End Sub

Private Sub Form_KeyPress(KeyAscii As Integer)
    If KeyAscii = 27 Then bCancel_Click
End Sub

Private Sub Form_Load()
Dim i As Integer
    c_ModifyParameters = False
    For i = 0 To 2
        If BatchArgumentFiles(i) <> "" Then
            tFile(i) = BatchArgumentFiles(i)
        Else
            tFile(i) = CurDir & "\"
        End If
        tFile(i).SelStart = Len(tFile(i))
    Next i
End Sub

Private Sub Form_Unload(Cancel As Integer)
Dim i As Integer
    For i = 0 To 2
        BatchArgumentFiles(i) = tFile(i)
    Next i
End Sub

Private Sub tFile_LostFocus(Index As Integer)
Dim ext As String, ch As String
ch = tFile(Index)
If Index = 0 Then
    If FilenameFull(tFile(1)) = "" Then
        ext = LCase(FilenameExtension(ch))
        If ext = "dat" Or ext = "da2" Or ext = "txt" Or ext = "pro" Or ext = "coh" Then
            tFile(1) = FilenameDirectory(ch) & "\"
        Else
            tFile(1) = FilenameDirectory(ch) & "\" & FilenameShort(ch)
        End If
    End If
    If FilenameFull(tFile(2)) = "" Then
        tFile(2) = FilenameDirectory(ch) & "\"
    End If
ElseIf Index = 1 Then
    ext = FilenameExtension(ch)
    If ext <> "" Then
        tFile(Index) = Left(ch, Len(ch) - 1 - Len(ext))
    End If
End If
End Sub
