VERSION 5.00
Object = "{5E9E78A0-531B-11CF-91F6-C2863C385E30}#1.0#0"; "MSFLXGRD.OCX"
Begin VB.Form Fcomparison 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Sedtrans05"
   ClientHeight    =   4650
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6825
   HelpContextID   =   5000
   Icon            =   "Fcomparison.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4650
   ScaleWidth      =   6825
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton bClose 
      Cancel          =   -1  'True
      Caption         =   "Close"
      Default         =   -1  'True
      Height          =   375
      Left            =   2760
      TabIndex        =   2
      Top             =   3840
      Width           =   1335
   End
   Begin MSFlexGridLib.MSFlexGrid Table 
      Height          =   2595
      Left            =   360
      TabIndex        =   0
      Top             =   720
      Width           =   6015
      _ExtentX        =   10610
      _ExtentY        =   4577
      _Version        =   393216
      Rows            =   6
      Cols            =   6
      GridColor       =   0
      WordWrap        =   -1  'True
      ScrollBars      =   0
      FormatString    =   "<                                              |                  |Transport rate|Transport rate|Direction"
   End
   Begin VB.Label Label1 
      Caption         =   "Comparison between the results of the different methods"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   360
      TabIndex        =   1
      Top             =   240
      Width           =   6015
   End
   Begin VB.Menu m_edit 
      Caption         =   "Popup Menu"
      Visible         =   0   'False
      Begin VB.Menu m_selection 
         Caption         =   "Copy selection"
      End
      Begin VB.Menu m_all 
         Caption         =   "Copy Table"
      End
   End
End
Attribute VB_Name = "Fcomparison"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub bClose_Click()
    Unload Me
End Sub

Private Sub Form_Load()
Dim i As Integer
Dim Temp As type_data
Dim BEDTXTall As String * 560

    Call PrepareTable
    Fmain.b_start_Click
    Temp = Data(PosData)
'    If CDbl(Date) > maxdate Then Exit Sub
    For i = 1 To 5
        Temp.in1(1) = i
        Call Sedtrans05(Temp.in1(1), 0, 0, 0, Temp.out1(1), _
            Temp.out2(1), Temp.OUT3(1), _
            Temp.PROFILE(1, 1), BEDTXTall)
        Table.TextMatrix(i, 2) = FormatN(Temp.out1(14), 7, 4)
        Table.TextMatrix(i, 3) = FormatN(Temp.out1(15), 7, 4)
        Table.TextMatrix(i, 4) = Format(Temp.out1(16), "0.0") & " "
    Next i
    
End Sub


Sub PrepareTable()
Dim i As Integer
Dim ch As String

    Table.RowHeight(-1) = 400
    Table.RowHeight(0) = 500
    Table.TextMatrix(0, 2) = "Transport rate m3/s/m"
    Table.TextMatrix(0, 3) = "Transport rate kg/s/m"
    Table.Row = 0
    Table.col = 2
    Table.CellAlignment = flexAlignCenterCenter
    Table.col = 3
    Table.CellAlignment = flexAlignCenterCenter
    Table.TextMatrix(1, 0) = "1 - Engelund-Hansen (1967)"
    Table.TextMatrix(2, 0) = "2 - Einstein-Brown (1950)"
    Table.TextMatrix(3, 0) = "3 - Bagnold (1963)"
    Table.TextMatrix(4, 0) = "4 - Yalin (1963)"
    Table.TextMatrix(5, 0) = "5 - Van Rijn (1993)"
    
    Table.col = 1
    For i = 1 To 5
        If i = 1 Or i = 3 Then
            ch = "Total load"
        Else
            ch = "Bedload"
        End If
        Table.TextMatrix(i, 1) = ch
        Table.TextMatrix(i, 2) = ""
        Table.TextMatrix(i, 3) = ""
        Table.TextMatrix(i, 4) = ""
        
        Table.Row = i
        Table.CellBackColor = Table.BackColorFixed
                
    Next i
    Table.Row = 0
    Table.col = 0

End Sub

Private Sub Table_KeyPress(KeyAscii As Integer)
    If KeyAscii = 3 Or KeyAscii = 24 Then ' ctrl-C or ctrl-X
        Copy_FlexGrid Table, False
    End If
End Sub

Private Sub Table_MouseDown(Button As Integer, Shift As Integer, x As Single, Y As Single)
    If (Button And vbRightButton) Then
        PopupMenu m_edit, vbPopupMenuRightButton
    End If
End Sub

Private Sub m_all_Click()
    Copy_FlexGrid Table, True
End Sub

Private Sub m_selection_Click()
    Copy_FlexGrid Table, False
End Sub

