VERSION 5.00
Object = "{5E9E78A0-531B-11CF-91F6-C2863C385E30}#1.0#0"; "MSFLXGRD.OCX"
Begin VB.Form Fprofiles 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Sedtrans05 - Profiles of U and SSC"
   ClientHeight    =   5970
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   10260
   Icon            =   "Fprofiles.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5970
   ScaleWidth      =   10260
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton bClose 
      Cancel          =   -1  'True
      Caption         =   "Close"
      Height          =   375
      Left            =   1200
      TabIndex        =   3
      Top             =   5160
      Width           =   1215
   End
   Begin VB.PictureBox Pic2 
      Appearance      =   0  'Flat
      AutoRedraw      =   -1  'True
      ForeColor       =   &H80000008&
      Height          =   4935
      Left            =   6960
      ScaleHeight     =   4905
      ScaleWidth      =   3105
      TabIndex        =   2
      Top             =   240
      Width           =   3135
   End
   Begin VB.PictureBox Pic1 
      Appearance      =   0  'Flat
      AutoRedraw      =   -1  'True
      ForeColor       =   &H80000008&
      Height          =   4935
      Left            =   3720
      ScaleHeight     =   4905
      ScaleWidth      =   3225
      TabIndex        =   1
      Top             =   240
      Width           =   3255
   End
   Begin MSFlexGridLib.MSFlexGrid Table 
      Height          =   3135
      Left            =   240
      TabIndex        =   0
      Top             =   1440
      Width           =   3030
      _ExtentX        =   5345
      _ExtentY        =   5530
      _Version        =   393216
      Rows            =   1
      Cols            =   3
      FixedCols       =   0
      BackColorFixed  =   -2147483643
      ScrollBars      =   0
      Appearance      =   0
      FormatString    =   ">z (m)  |>U (m/s)|>SSC (kg/m3)"
   End
   Begin VB.Label Label2 
      Caption         =   "It is used here over a greater range !"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   240
      TabIndex        =   5
      Top             =   1080
      Width           =   3255
   End
   Begin VB.Label Label1 
      Caption         =   $"Fprofiles.frx":030A
      Height          =   855
      Left            =   240
      TabIndex        =   4
      Top             =   240
      Width           =   3015
   End
   Begin VB.Menu mPopup 
      Caption         =   "Popup Menu"
      Visible         =   0   'False
      Begin VB.Menu mCopySelection 
         Caption         =   "Copy selection"
      End
      Begin VB.Menu mCopyTable 
         Caption         =   "Copy table"
      End
   End
End
Attribute VB_Name = "Fprofiles"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub bClose_Click()
    Unload Me
End Sub

Private Sub Form_Load()
Dim i As Integer, Depth As Double
    
    Fmain.b_start_Click
    
    Table.ColWidth(-1) = 1000
    Depth = Data(PosData).IN1(2)
    For i = 12 To 1 Step -1
        If Data(PosData).PROFILE(i, 1) <= Depth Then
            Table.AddItem FormatN(Data(PosData).PROFILE(i, 1), 7, 4) _
            & vbTab & FormatN(Data(PosData).PROFILE(i, 3), 7, 4) _
            & vbTab & FormatN(Data(PosData).PROFILE(i, 2), 7, 4)
        End If
    Next i
    Table.Height = Table.Rows * 240 + 1
    Table.Top = 4645 - Table.Height
    If Depth * 0.2 >= Data(PosData).PROFILE(12, 1) Or Data(PosData).PROFILE(6, 3) = 0 Then
        Label1.Visible = False
        Label2.Visible = False
    End If
    PlotProfile1 Pic1, 3
    PlotProfile1 Pic2, 2
End Sub


Private Sub PlotProfile1(pic As PictureBox, col As Integer)
'  ! origin of coordinate is the left top corner
Dim FXmin As Single, FXmax As Single, FYmin As Single, FYmax As Single
    ' limits of the drawing area
Dim AXmin As Single, AXmax As Single, AYmin As Single, AYmax As Single
Dim dAX As Single, dAY As Single
    ' limits of the axis, AYmin is the bottom limit
Const nbPoints = 12
Dim nbP As Integer
Dim Depth As Double
Dim Yvalue(1 To nbPoints) As Double, Xvalue(1 To nbPoints) As Double
Dim Xmin As Double, Xmax As Double, Ymin As Double, Ymax As Double
Dim aX As Double, aY As Double, bX As Double, bY As Double
Dim i As Integer
Const m = 50
Dim Ticks(1 To 10) As Double, nb As Integer, v As Single
Dim title_axis As String, unitsX As String, unitsY As String

FXmin = pic.ScaleLeft
FXmax = FXmin + pic.ScaleWidth
FYmin = pic.ScaleTop
FYmax = FYmin + pic.ScaleHeight

If col = 3 Then AXmin = FXmin + 650 Else AXmin = FXmin + 530
AXmax = FXmax - 200
AYmin = FYmax - 500
AYmax = FYmin + 350
dAX = AXmax - AXmin
dAY = AYmin - AYmax

pic.BorderStyle = 0
pic.Cls
pic.FillStyle = vbFSSolid
pic.Line (AXmin, AYmin)-(AXmax, AYmax), &HFFFFFF, BF
pic.FillStyle = vbFSTransparent
pic.Line (AXmin, AYmin)-(AXmax, AYmax), &H0, B

nbP = nbPoints        ' prepare the data
Depth = Data(PosData).IN1(2)
Xmax = 0
For i = 1 To nbPoints
    Yvalue(i) = Data(PosData).PROFILE(i, 1)
    If Yvalue(i) > Depth Then
        nbP = i - 1
        Exit For
    End If
    Xvalue(i) = Data(PosData).PROFILE(i, col)
    If Xvalue(i) > Xmax Then Xmax = Xvalue(i)
Next i
If Xmax = 0 Then Xmax = 0.01
Xmin = 0
Ymin = 0
Ymax = Yvalue(nbP)
If Ymax = 0 Then Ymax = 2

' Plot the axis labels
If col = 3 Then
    title_axis = "Profile of mean velocity"
    unitsX = "m/s"
    unitsY = "Height above the bed (m)"
Else
    title_axis = "Profile of concentration"
    unitsX = "kg/m3"
    unitsY = ""
End If
PlotText unitsX, pic, (AXmin + AXmax) / 2, FYmax, flexAlignCenterBottom
OblicText unitsY, 900, pic, FXmin, (AYmin + AYmax) / 30, TA_TOP + TA_CENTER, "Arial", 8, False, False, False
pic.Font.bold = True
PlotText title_axis, pic, (AXmin + AXmax) / 2, FYmin, flexAlignCenterTop
pic.Font.bold = False

' Extend X axis
Call FindTick(Xmin, Xmax, True, 5, Ticks, nb)
Xmax = Ticks(nb)

' compute the scaling factors
aX = (dAX) / (Xmax - Xmin)
bX = AXmin - aX * Xmin
aY = (-dAY) / (Ymax - Ymin)
bY = AYmin - aY * Ymin

' plot and label the ticks
Const TL = 105 '    tick length
               '    0 for no ticks
               '    <0 for gridlines instead of thicks
Call FindTick(Xmin, Xmax, False, 5, Ticks, nb, True)
For i = 1 To nb
    v = Ticks(i) * aX + bX
    If TL < 0 Then
        pic.Line (v, AYmin)-(v, AYmax), &HDDDDDD
    Else
        pic.Line (v, AYmin)-Step(0, -TL), &H0
        pic.Line (v, AYmax)-Step(0, TL), &H0
    End If
    PlotText FormatN(Ticks(i), 7, 4), pic, v, AYmin + m, flexAlignCenterTop
Next i
Call FindTick(Ymin, Ymax, False, 5, Ticks, nb, True)
For i = 1 To nb
    v = Ticks(i) * aY + bY
    If TL < 0 Then
        pic.Line (AXmin, v)-(AXmax, v), &HDDDDDD
    Else
        pic.Line (AXmin, v)-Step(TL, 0), &H0
        pic.Line (AXmax, v)-Step(-TL, 0), &H0
    End If
    PlotText FormatN(Ticks(i), 5, 2), pic, AXmin - m, v, flexAlignRightCenter
Next i

pic.Line (AXmin, AYmin)-(AXmax, AYmax), &H0, B

' plot the actual curve
pic.Line (aX * Xvalue(1) + bX, aY * Yvalue(1) + bY)-(aX * Xvalue(2) + bX, aY * Yvalue(2) + bY), &HFF
For i = 3 To nbP
    pic.Line -(aX * Xvalue(i) + bX, aY * Yvalue(i) + bY), &HFF
Next i

End Sub

Private Sub mCopySelection_Click()
    Copy_FlexGrid Table, False
End Sub

Private Sub mCopyTable_Click()
    Copy_FlexGrid Table, True
End Sub

Private Sub Table_KeyPress(KeyAscii As Integer)
    If KeyAscii = 3 Or KeyAscii = 24 Then ' ctrl-C or ctrl-X
        Copy_FlexGrid Table, False
    End If
End Sub

Private Sub Table_MouseDown(Button As Integer, Shift As Integer, x As Single, Y As Single)
    If (Button And vbRightButton) Then
        PopupMenu mPopup, vbPopupMenuRightButton
    End If
End Sub
